declare const firebaseAdmin:any

// get auth headers from request context and verify token
async function context({ req }: { req: any }) {
  if (req.headers.authorization && req.headers.authorization.indexOf('Bearer ') === 0) {
    try {
      const accessToken = req.headers.authorization.slice(7)
      const user = await firebaseAdmin.auth().verifyIdToken(accessToken)
      return { user }
    } catch (e) {
      console.error('Auth error:', e)
    }
  }
}
